=== debian/changelog ===
pyosmium (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop unused build dependencies.
    (closes: #980339)
  * Update upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2021 15:04:32 +0100

pyosmium (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jan 2021 05:37:57 +0100

pyosmium (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump minimum required libosmium2-dev to 2.16.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jan 2021 17:31:04 +0100

pyosmium (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Drop pybind11-2.6.0.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 04:11:51 +0100

pyosmium (3.0.1-2) unstable; urgency=medium

  * Update lintian overrides.
  * Add patch to fix FTFBS with pybind11 2.6.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2020 12:42:42 +0100
