## pyosmium 3.2.0

=== debian/changelog ===
pyosmium (3.2.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:44:10 +0000

pyosmium (3.2.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:15:39 +0200

pyosmium (3.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Require at least libosmium2-dev 2.17.0.
  * Add python3-requests to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Aug 2021 05:59:28 +0200
