=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.16.0),
+               libosmium2-dev (>= 2.17.0),
                pybind11-dev,
                python3-all-dev,
+               python3-requests,
                python3-setuptools,
                python3-mock <!nocheck>,
                python3-nose <!nocheck>,
