## pyosmium 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)
 
 if(NOT "${CMAKE_CXX_STANDARD}")
-    if(MSVC)
-        set(CMAKE_CXX_STANDARD 14)
-    else()
-        set(CMAKE_CXX_STANDARD 11)
-    endif()
+    set(CMAKE_CXX_STANDARD 14)
 endif()
 
 # required for pybind11 < 2.6
