=== debian/changelog ===
pyosmium (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pybuild.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Jul 2022 09:58:44 +0200

pyosmium (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Add patch to fix doc build.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Jul 2022 05:33:45 +0200

pyosmium (3.3.0-2) unstable; urgency=medium

  * Move python3-sphinx from Build-Depends-Indep to Build-Depends.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Mar 2022 07:45:14 +0100

pyosmium (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update doc-base paths.
  * Use sphinxdoc helper.
  * Require at least libosmium2-dev 2.18.0.
  * Update copyright file.
  * Switch from nose to pytest.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Mar 2022 05:39:39 +0100
