=== debian/control ===
--- 
+++ 
@@ -4,23 +4,21 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10~),
+               debhelper-compat (= 12),
                dh-python,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.17.0),
+               libosmium2-dev (>= 2.18.0),
                pybind11-dev,
                python3-all-dev,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
-               python3-mock <!nocheck>,
-               python3-nose <!nocheck>,
-               python3-shapely <!nocheck>
-Build-Depends-Indep:
+               python3-shapely <!nocheck>,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
@@ -65,9 +63,7 @@
 Package: pyosmium-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         libjs-sphinxdoc,
-         libjs-underscore,
+Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: Osmium library bindings for Python - Documentation
  The PyOsmium module allows you to access some of the features of the Osmium
