## pyosmium 3.5.0

=== debian/changelog ===
pyosmium (3.5.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Nov 2022 08:16:19 +0100

pyosmium (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Nov 2022 17:15:15 +0100

pyosmium (3.4.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Aug 2022 06:52:58 +0200

pyosmium (3.3.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Mar 2022 07:43:45 +0200

pyosmium (3.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 09:01:21 +0200
