=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-sphinxcontrib.autoprogram
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bullseye-backports
 Homepage: https://osmcode.org/pyosmium/
 
 Package: pyosmium
