## pyosmium 3.6.0

=== debian/changelog ===
pyosmium (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Require at least libosmium2-dev 2.19.0.
  * Update copyright file.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jan 2023 08:05:59 +0100
