=== debian/control ===
--- 
+++ 
@@ -3,25 +3,28 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 12),
                dh-python,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.18.0),
+               libosmium2-dev (>= 2.19.0),
                pybind11-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-packaging,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
+Rules-Requires-Root: no
 
 Package: pyosmium
 Architecture: all
