=== debian/changelog ===
pyosmium (3.7.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:38:30 +0000

pyosmium (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove generated files in clean target.
    (closes: #1045177)
  * Update lintian overrides.
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.
  * Drop patches, applied/included upstream.
  * Add python3-werkzeug & python3-pytest-httpserver to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2023 05:37:30 +0100

pyosmium (3.6.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Don't override dh_auto_install.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with pybind 2.11.
    (closes: #1042292)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 05:21:44 +0200
