=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
@@ -15,16 +17,19 @@
                python3-all-dev,
                python3-packaging,
                python3-pytest <!nocheck>,
+               python3-pytest-httpserver <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
                python3-sphinx,
-               python3-sphinxcontrib.autoprogram
+               python3-sphinxcontrib.autoprogram,
+               python3-werkzeug <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: pyosmium
 Architecture: all
