=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=distutils
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/tools {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/tools
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/{package}


export VERBOSE=1

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build-indep:
	(cd doc && make html)
	(cd doc && make man)
