=== debian/changelog ===
pyosmium (4.0.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2024 05:24:37 +0200

pyosmium (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Oct 2024 17:54:52 +0200

pyosmium (4.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Sep 2024 07:41:03 +0200

pyosmium (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2024 16:27:34 +0200

pyosmium (4.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Sep 2024 07:15:11 +0200

pyosmium (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Drop -doc package.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2024 14:23:42 +0200

pyosmium (3.7.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Nov 2023 06:17:55 +0100
