=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
-               dh-sequence-sphinxdoc,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
@@ -15,18 +14,16 @@
                pybind11-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-packaging,
+               python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
-               python3-sphinx,
-               python3-sphinxcontrib.autoprogram,
                python3-werkzeug <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bookworm-backports
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
@@ -54,8 +51,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Suggests: python3-shapely,
-          pyosmium-doc
+Suggests: python3-shapely
 Description: Osmium library bindings for Python 3
  The PyOsmium module allows you to access some of the features of the Osmium
  library from Python code.
@@ -67,20 +63,3 @@
  functions.
  .
  This package contains the PyOsmium module for Python 3.
-
-Package: pyosmium-doc
-Architecture: all
-Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Description: Osmium library bindings for Python - Documentation
- The PyOsmium module allows you to access some of the features of the Osmium
- library from Python code.
- .
- PyOsmium has extensive support for all types of OSM entities: nodes, ways,
- relations, and changesets. It allows reading from OSM files in XML and PBF
- formats, including change files and full history files. Its easy to use
- handler interface allows you to quickly write data filtering and conversion
- functions.
- .
- This package contains the PyOsmium documentation.
