## pyosmium 4.1.0

=== debian/changelog ===
pyosmium (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update copyright file.
  * Switch from setuptools to scikit-build-core.
  * Add patch to fix manpage generation.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Aug 2025 21:34:29 +0200
