=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
+               python3-pytest-run-parallel <!nocheck>,
                python3-requests,
-               python3-setuptools,
+               python3-scikit-build-core,
                python3-shapely <!nocheck>,
                python3-werkzeug <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bookworm-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
