=== debian/changelog ===
pyosmium (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop man.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 05:45:37 +0200

pyosmium (4.1.0-2) unstable; urgency=medium

  * Drop python3-pytest-run-parallel from build dependencies (RC buggy).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Aug 2025 10:32:57 +0200
