=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
-               python3-pytest-run-parallel <!nocheck>,
                python3-requests,
                python3-scikit-build-core,
                python3-shapely <!nocheck>,
