=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

export VERBOSE=1

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build:
	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make man)

execute_after_dh_auto_install:
	mkdir -p debian/python3-pyosmium/usr/lib/python3-pyosmium
	mv -v debian/python3-pyosmium/usr/bin/* debian/python3-pyosmium/usr/lib/python3-pyosmium/
	rmdir debian/python3-pyosmium/usr/bin
