=== debian/changelog ===
pyosmium (4.2.0-2) unstable; urgency=medium

  * Drop support for 32-bit architectures, like osm2pgsql.
    https://github.com/osmcode/pyosmium/issues/306

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Oct 2025 05:12:27 +0200

pyosmium (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Install upstream manpages.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Oct 2025 17:42:03 +0200
