=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake (>= 3.0),
+Build-Depends: architecture-is-64-bit,
+               cmake (>= 3.0),
                debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -14,7 +15,6 @@
                pybind11-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
                python3-requests,
@@ -25,7 +25,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: pyosmium
