=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 export PYBUILD_NAME=pyosmium
 export PYBUILD_SYSTEM=pyproject
+export PYBUILD_TEST_ARGS=-vv
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
 
@@ -17,9 +18,6 @@
 %:
 	dh $@ --buildsystem pybuild
 
-execute_after_dh_auto_build:
-	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make man)
-
 execute_after_dh_auto_install:
 	mkdir -p debian/python3-pyosmium/usr/lib/python3-pyosmium
 	mv -v debian/python3-pyosmium/usr/bin/* debian/python3-pyosmium/usr/lib/python3-pyosmium/
