## pyosmium 4.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.15...4.0)
+cmake_minimum_required(VERSION 3.15)
 cmake_policy(VERSION 3.15)
 project(osmium LANGUAGES CXX)
 
@@ -19,7 +19,7 @@
 
 FetchContent_Declare(libosmium
                      GIT_REPOSITORY https://github.com/osmcode/libosmium
-                     GIT_TAG 85aa0ec170d99b432d29a372554b27491d28065e # release 2.22.0
+                     GIT_TAG 9c49c960569c15dd09ff9eb9e9dce7f383ab6ed2 # release 2.23.0
                      SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/contrib/libosmium
                      SOURCE_SUBDIR cmake
                      GIT_SUBMODULES_RECURSE OFF)
@@ -59,9 +59,6 @@
 endif()
 
 message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")
-
-find_package(Boost 1.66 REQUIRED COMPONENTS)
-include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
 # Modules without any Python code and just one source file.
 foreach(PYMOD geom index io area)
