=== debian/changelog ===
pyosmium (4.3.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Feb 2026 07:01:27 +0100

pyosmium (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Make pytest output verbose.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Update copyright file.
  * Drop libboost-dev build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Feb 2026 12:32:31 +0100

pyosmium (4.2.0-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Oct 2025 05:40:50 +0200

pyosmium (4.1.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Sep 2025 07:29:33 +0200
