=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export PYBUILD_NAME=pyosmium
 export PYBUILD_SYSTEM=pyproject
-export PYBUILD_TEST_ARGS=-vv
+export PYBUILD_TEST_ARGS=-v
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
